<?xml version="1.0" encoding="utf-8"?><feed xmlns="http://www.w3.org/2005/Atom"><title>GNUcode.me</title><id>https://gnucode.me/feeds/tags/GNU guix server linode.xml</id><subtitle>Tag: GNU guix server linode</subtitle><updated>2024-05-01T13:21:27Z</updated><link href="https://gnucode.me/feeds/tags/GNU guix server linode.xml" rel="self" /><link href="https://gnucode.me" /><entry><title>Guix System Server</title><id>https://gnucode.me/guix-system-server.html</id><author><name>Joshua Branson</name><email>jbranso@dismail.de</email></author><updated>2020-08-29T18:00:00Z</updated><link href="https://gnucode.me/guix-system-server.html" rel="alternate" /><content type="html">&lt;p&gt;So a little while ago, Christopher Lemmer Webber, wrote on the guix-help mailing
list that he had found a way to use linode's to run guix system.  That got me
super excited!  I quickly followed his guide, and set up my guix system server.
It is currently serving this website and &lt;a href=&quot;https://gnu-hurd.com&quot;&gt;gnu-hurd&lt;/a&gt;.  You can find
the guix configuration files for this server
&lt;a href=&quot;https://notabug.org/jbranso/linode-guix-system-configuration/src/master/linode-locke-lamora-current-config.scm&quot;&gt;here&lt;/a&gt;. You
can find the source code for both of those sites
&lt;a href=&quot;https://notabug.org/jbranso/gnucode.me&quot;&gt;here&lt;/a&gt; and
&lt;a href=&quot;https://notabug.org/jbranso/gnu-hurd.com&quot;&gt;here&lt;/a&gt;.&lt;/p&gt;&lt;p&gt;I must say the experience is pretty awesome!  I had to ask on the &lt;code&gt;#guix&lt;/code&gt; irc
chatroom about how to set up certbot, and &lt;strong&gt;civodul&lt;/strong&gt; was super helpful.
Actually the &lt;code&gt;#guix&lt;/code&gt; chatroom is usually super helpful.  If you ever have any
questions, then you should hang out there.&lt;/p&gt;&lt;p&gt;Also, I did create a guix patch to the guix cookbook to set up running guix
system on a linode.  Until it is merged, you can get the directions
&lt;a href=&quot;https://lists.gnu.org/archive/html/guix-patches/2020-08/msg00243.html&quot;&gt;here&lt;/a&gt;.&lt;/p&gt;&lt;p&gt;My patch has now been &lt;a href=&quot;https://guix.gnu.org/cookbook/en/html_node/Running-Guix-on-a-Linode-Server.html&quot;&gt;merged
here&lt;/a&gt;.
You should try out guix system on your server too.  It's really easy.&lt;/p&gt;</content></entry></feed>